﻿#language: ru

@cheese_maker

Функционал: 07_cheeseMaker.01.001 Настройка пользователей и прав

Сценарий: 07_cheeseMaker.01.001 Создание профиля для сыродела через ТСД
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Профили групп доступа'
	Тогда открылось окно 'Профили групп доступа'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'               |
		| 'Киоски(меню учетных точек)' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	Тогда открылось окно 'Профиль групп доступа (создание)'
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Да'      | 'Работа с киоском'            |
	И в таблице "Роли" я снимаю флаг 'Пометка'
	И в таблице "Роли" я завершаю редактирование строки
	И в таблице "Роли" я перехожу к строке:
		| 'Пометка' | 'Разрешенное действие (роль)' |
		| 'Нет'     | 'Работа с ТСД'                |
	И в таблице "Роли" я устанавливаю флаг 'Пометка'
	И в таблице "Роли" я завершаю редактирование строки
	И в поле 'Наименование' я ввожу текст 'АРМ Сыродела'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Профиль групп доступа (создание)' в течение 20 секунд
	Тогда открылось окно 'Профили групп доступа'
	И Я закрываю окно 'Профили групп доступа'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 07_cheeseMaker.01.001 Создание групп пользователей
	И Я создаю группу доступа "Базовые права" с профилем "Базовый профиль"
	И Я создаю группу доступа "Мастера сырцеха" с профилем "Мастера сырцеха"
	И Я создаю группу доступа "АРМ Сыродела" с профилем "АРМ Сыродела"

Сценарий: 07_cheeseMaker.01.001 Создание пользователей
	И Я создаю пользователя "Мастер сырцеха" с профилями "Базовые права;Мастера сырцеха"
	И Я создаю пользователя "Сыродел ТСД" с профилями "Базовые права;АРМ Сыродела"